Avro C#

Public Member Functions | Static Public Attributes | List of all members
Avro.Util.TimestampMillisecond Class Reference

The 'timestamp-millis' logical type. More...

Inheritance diagram for Avro.Util.TimestampMillisecond:

## Public Member Functions
| TimestampMillisecond ()
| Initializes a new TimestampMillisecond logical type. More...
override void | ValidateSchema (LogicalSchema schema)
override object | ConvertToBaseValue (object logicalValue, LogicalSchema schema)
override object | ConvertToLogicalValue (object baseValue, LogicalSchema schema)
Public Member Functions inherited from Avro.Util.LogicalUnixEpochType< DateTime >
override Type | GetCSharpType (bool nullible)
override bool | IsInstanceOfLogicalType (object logicalValue)

## Static Public Attributes
static readonly string | LogicalTypeName = "timestamp-millis"
| The logical type name for TimestampMillisecond. More...

## Additional Inherited Members
Protected Member Functions inherited from Avro.Util.LogicalUnixEpochType< DateTime >
| LogicalUnixEpochType (string name)
| Initializes the base logical type. More...
Static Protected Attributes inherited from Avro.Util.LogicalUnixEpochType< DateTime >
static readonly DateTime | UnixEpochDateTime
| The date and time of the Unix Epoch. More...
const long | TicksPerMicrosecond
| Number of ticks per microsecond. More...

## Detailed Description

The 'timestamp-millis' logical type.

## Constructor & Destructor Documentation

## ◆ TimestampMillisecond()

Avro.Util.TimestampMillisecond.TimestampMillisecond | ( |  | ) |
| inline

Initializes a new TimestampMillisecond logical type.

## Member Data Documentation

## ◆ LogicalTypeName

readonly string Avro.Util.TimestampMillisecond.LogicalTypeName = "timestamp-millis"
| static

The logical type name for TimestampMillisecond.

The documentation for this class was generated from the following file:

- src/apache/main/Util/TimestampMillisecond.cs